- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- IAM Permissions
- Try it!
Gets details of multiple mirrors under a given instance.
HTTP request
GET https://lustre.googleapis.com/v1/{parent=projects/*/locations/*/instances/*}/mirrors
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
parent |
Required. Parent instance resource where the mirrors will be listed, in the format: |
Query parameters
| Parameters | |
|---|---|
pageSize |
Optional. Requested page size. The server might return fewer items than requested. If unspecified, the default page size is 10. The maximum value is 1000. |
pageToken |
Optional. A page token, received from a previous |
orderBy |
Optional. Desired order of results. |
filter |
Optional. Filtering results. |
Request body
The request body must be empty.
Response body
Response for mirrors.list.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{
"mirrors": [
{
object ( |
| Fields | |
|---|---|
mirrors[] |
List of mirrors on the instance. |
nextPageToken |
A token identifying a page of results the server should return. |
unreachable[] |
Unordered list. Locations that could not be reached. |
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/cloud-platform
For more information, see the Authentication Overview.
IAM Permissions
Requires the following IAM permission on the parent resource:
lustre.mirrors.list
For more information, see the IAM documentation.